WinCrypt.CERT_SIMPLE_CHAIN (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: CERT_SIMPLE_CHAIN

Package com.sun.jna.platform.win32

# Class WinCrypt.CERT_SIMPLE_CHAIN

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.CERT_SIMPLE_CHAIN

Direct Known Subclasses:
  `WinCrypt.CERT_SIMPLE_CHAIN.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"cbSize","TrustStatus","cElement","rgpElement","pTrustListInfo","fHasRevocationFreshnessTime","dwRevocationFreshnessTime"}) public static class WinCrypt.CERT_SIMPLE_CHAIN extends Structure
The CERT_SIMPLE_CHAIN structure contains an array of chain elements and a summary trust status for the chain that the array represents.

See Also:
  - MSDN

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.CERT_SIMPLE_CHAIN.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cbSize`
  `int`
  `cElement`
  `int`
  `dwRevocationFreshnessTime`
  `boolean`
  `fHasRevocationFreshnessTime`
  `WinCrypt.CERT_TRUST_LIST_INFO.ByReference`
  `pTrustListInfo`
  `Pointer`
  `rgpElement`
  `WinCrypt.CERT_TRUST_STATUS`
  `TrustStatus`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CERT_SIMPLE_CHAIN()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinCrypt.CERT_CHAIN_ELEMENT[]`
  `getRgpElement()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cbSize

    public int cbSize

  - ### TrustStatus

    public WinCrypt.CERT_TRUST_STATUS TrustStatus

  - ### cElement

    public int cElement

  - ### rgpElement

    public Pointer rgpElement

  - ### pTrustListInfo

    public WinCrypt.CERT_TRUST_LIST_INFO.ByReference pTrustListInfo

  - ### fHasRevocationFreshnessTime

    public boolean fHasRevocationFreshnessTime

  - ### dwRevocationFreshnessTime

    public int dwRevocationFreshnessTime

- ## Constructor Details

  - ### CERT_SIMPLE_CHAIN

    public CERT_SIMPLE_CHAIN()

- ## Method Details

  - ### getRgpElement

    public WinCrypt.CERT_CHAIN_ELEMENT[] getRgpElement()